/*-
 * #%L
 * A Fiji plugin that allow easy, fast and accurate detection and tracking of biological filaments.
 * %%
 * Copyright (C) 2016 - 2017 Hadrien Mary
 * %%
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 * #L%
 */
package sc.fiji.filamentdetector.tests.manual;

import io.scif.services.DatasetIOService;
import net.imagej.Dataset;
import net.imagej.ImageJ;
import sc.fiji.filamentdetector.FilamentDetectorPlugin;

public class TestPlugin {

	public static void main(final String... args) throws Exception {
		final ImageJ ij = new ImageJ();
		ij.ui().showUI();

		DatasetIOService dsio = ij.get(DatasetIOService.class);

		String baseDir = "/home/hadim/.doc/Code/Postdoc/ij/testdata/";

		String fpath = baseDir + "7,5uM_emccd_lapse1-small-8bit.tif";
		// fpath = baseDir + "7,5uM_emccd_lapse1-small-8bit-Preprocessed.tif";
		// fpath = baseDir + "fake.tif";
		// fpath = baseDir + "7,5uM_emccd_lapse1.tif";
		// fpath = baseDir + "10uM_emccd_lapse1-1-Preprocessed.tif";

		Dataset data = dsio.open(fpath);
		ij.ui().show(data);

		ij.command().run(FilamentDetectorPlugin.class, true);
	}
}
